#[link(wasm_import_module = "ngvfs_init")]
extern "C" {
    pub fn api_ver_get(maj: *mut i32, min: *mut i32, max: *mut i32);
    pub fn exkv_get_len(key: *const u8, lenKey: usize) -> i32;
    pub fn exkv_get_val(key: *const u8, lenKey: usize, ptrBuf: *mut u8, lenBuf: usize) -> i32;
    pub fn vfs_mount(hAfs: i32, ptrMntPath: *const u8, lenMntPath: usize) -> i32;
    pub fn vfs_mkdir(ptrMntPath: *const u8, lenMntPath: usize, mode: i32) -> i32;
    pub fn afs_free(hAfs: i32) -> i32;
    pub fn afs_mkdir(hAfs: i32, ptrPath: *const u8, lenPath: usize, mode: i32) -> i32;
    pub fn afs_create_osfs() -> i32;
    pub fn afs_create_memfs() -> i32;
    pub fn afs_create_bpfs(hAfs: i32, ptrBasePath: *const u8, lenBasePath: usize) -> i32;
    pub fn afs_create_regfs(hAfs: i32, ptrRegExp: *const u8, lenRegExp: usize) -> i32;
    pub fn afs_create_rofs(hAfs: i32) -> i32;
    pub fn afs_create_cowfs(hRoAfs: i32, hWrAfs: i32) -> i32;
    pub fn afs_create_corfs(hRoAfs: i32, hWrAfs: i32, cacheTime: i32) -> i32;
    pub fn afs_create_bep_ovfs(ptrFsLayerArray: *const i32, lenFsLayerArray: usize, bWritable: i32) -> i32;
}
